Skip to main content
GET
/
v3
/
enterprise
/
code-scans
/
findings
List Code Scan Findings
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/code-scans/findings \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "category": "<string>",
      "code_owners": [
        "<string>"
      ],
      "created_at": 123,
      "description": "<string>",
      "finding_id": "<string>",
      "note": "<string>",
      "orchestrator_session_id": "<string>",
      "pr_url": "<string>",
      "recommendation": "<string>",
      "reference_snippets": [
        {
          "commentary": "<string>",
          "end_line": 123,
          "file_path": "<string>",
          "start_line": 123,
          "code": "<string>"
        }
      ],
      "repo_name": "<string>",
      "scan_id": "<string>",
      "session_id": "<string>",
      "title": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Permissions

Requires a service user with the ViewAccountCodeScans permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200
org_ids
string[] | null

Filter to findings in these organizations.

scan_id
string | null

Filter to findings produced by this scan.

repo_name
string | null

Filter to findings reported in this repository.

severity
enum<string>[] | null

Filter to findings with any of these severities (critical, high, medium, low).

Available options:
critical,
high,
medium,
low
status
enum<string>[] | null

Filter to findings with any of these statuses (open, dismissed, resolved).

Available options:
open,
dismissed,
resolved

Response

Successful Response

items
CodeScanFindingResponse · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).